Subject: Re: [PATCH v2] ROSE: prevent heap corruption with bad facilities

From: Ben Hutchings <[email-masked]>
Date: Tue, 29 Mar 2011 02:16:19 +0100

On Sun, 2011-03-27 at 17:59 -0700, David Miller wrote:
> From: Ben Hutchings <[email-masked]>
> Date: Sun, 20 Mar 2011 16:48:05 +0000
> 
> > Subject: [PATCH] rose: Add length checks to CALL_REQUEST parsing
> > 
> > Define some constant offsets for CALL_REQUEST based on the description
> > at <http://www.techfest.com/networking/wan/x25plp.htm> and the
> > definition of ROSE as using 10-digit (5-byte) addresses.  Use them
> > consistently.  Validate all implicit and explicit facilities lengths.
> > Validate the address length byte rather than either trusting or
> > assuming its value.
> > 
> > Signed-off-by: Ben Hutchings <[email-masked]>
> 
> Applied.

Ralf, I would really appreciate it if you could test this soon...

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.